Уязвимость BDU:2020-02927

Дата: 01.04.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-02927.

Наименование уязвимости: Уязвимость функции exec библиотеки npm-programmatic пакетного менеджера NPM, позволяющая нарушителю выполнить произвольный код.

Описание уязвимости: Уязвимость функции exec библиотеки npm-programmatic пакетного менеджера NPM связана с непринятием мер по защите структуры веб-страницы. Эксплуатация уязвимости может позволить нарушителю выполнить произвольный код, путем отправки специально сформированного вредоносного пакета
Уязвимое ПО: Прикладное ПО информационных систем Node.js Foundation npm-programmatic от 0.0.1 до 0.0.12 включительно |

Наименование ОС и тип аппаратной платформы:
Дата выявления: 01.04.2020.
CVSS 2.0: AV:L/AC:H/Au:N/C:P/I:P/A:N
Уровень опасности уязвимости: Низкий уровень опасности (базовая оценка CVSS 2.0 составляет 2,6)
Низкий уровень опасности (базовая оценка CVSS 3.0 составляет 3,6)

Возможные меры по устранению:
Ограничить использование программного средства
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Информация об устранении отсутствует
Идентификаторы других систем описаний уязвимости: CVE-2020-7614.

Тип ошибки CWE: CWE-79
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.cybersecurity-help.cz/vdb/SB2020052008
https://github.com/Manak/npm-programmatic/blob/master/index.js#L18
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-7614
https://snyk.io/vuln/SNYK-JS-NPMPROGRAMMATIC-564115
https://www.npmjs.com/advisories/1507

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *